NOW AVAILABLE

Minimal TLS version setting is now available for Azure SQL Database and Azure Synapse Analytics

Published date: May 26, 2020

Enforce a minimal TLS version at the server level that applies to Azure SQL Databases and Azure Synapse Analytics workspaces hosted on the server using the new TLS version setting.

We currently support TLS versions 1.0, 1.1, and 1.2. Setting a minimal TLS version ensures that subsequent, newer TLS versions are supported. We recommend setting the minimal TLS version to 1.2, after testing to confirm your applications support it, because it includes fixes for vulnerabilities found in previous versions. It’s also the highest TLS version supported in Azure SQL Database.

If you have applications that rely on older versions of TLS, we recommend setting the minimal TLS version per the requirements of your applications. If you rely on applications to connect using an unencrypted connection, we recommend not setting any minimal TLS version.

Read more information about minimum TLS versions.

Learn more about TLS 1.2.

  • Features
  • Security